Spaces method and path for this operation:
post /s/{space_id}/api/fleet/epm/packages
Refer to Spaces for more information.
Install a package by uploading a .zip or .tar.gz archive (max 100MB). Only available to superusers.
[Required authorization] Route required privileges: integrations-all AND fleet-agent-policies-all.
application/gzip
POST
/api/fleet/epm/packages
cURL (application/gzip)
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/epm/packages' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/gzip" \
--header "kbn-xsrf: true"
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/epm/packages' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/gzip; application/zip" \
--header "kbn-xsrf: true" \
--data-binary '@file'
Request example
Upload a .zip or .tar.gz package archive (max 100MB)
<binary package archive>
Response examples (200)
Package successfully installed from upload
{
"_meta": {
"install_source": "upload"
},
"items": [
{
"id": "my-custom-package-logs-default",
"type": "index_template"
}
]
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}